Subject: [bug#59126] [PATCH] gnu: go-github-com-zenhack-go-notmuch: Use UNGEXP-NATIVE with NOTMUCH-FIXTURES.

From: "(" <[email-masked]>
Date: Sun, 20 Nov 2022 11:40:08 +0000

On Sun Nov 20, 2022 at 11:28 AM GMT, Christopher Baines wrote:
> I can guess at why you might be wanting to change this, but I'm
> interested in what your actual reasoning is (and it's good if this is in
> the commit message to)?

Well, since NOTMUCH-FIXTURES is just an origin, it won't differ on
different systems. So, we don't need to cross-compile it, because a
non-cross-compiled version will work just as well. But Guix has no
way of knowing this, so if we use UNGEXP, it'll re-build the origin
unnecessarily. If we use UNGEXP-NATIVE, it'll just use the host's
NOTMUCH-FIXTURES.

    -- (